
typedef struct window_tag {
	int  left,top;
	int  width,height;
	WORD cur_pos;
	int  cols;
} window_t;

#define WIN_STATUS	0
#define WIN_MAIN	1
#define WIN_POPUP	2
#define WIN_ERR		3


void window_clear(void);
void window_move_xy(int x,int y);
void window_clear_n(int maxWidth);
void window_print_n(char *line,int maxWidth);
void window_print(char *line);
void window_print_clr(char *line);
void window_border(void);
int  window_select(int winNum);

void display_str(char *str);
void display_flush(void);
int  display_init(void);
bool display_cancel(void);
void display_clear(void);
void display_exit(void);
int  display_getkey(void);
void display_char(int x,int y,char ch);