/* 
 * Jukebox hardware interface test program
 * ---------------------------------------
 * copyright (c) 1997-1999 by Roger Walker, All rights reserved.
 * See the file RNW_COPY
 *
 * Uses the routines in hwint.c
 *
 *  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 *  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 *  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
 *  PURPOSE.
 */
#include <conio.h>
#include <dos.h>
#include <string.h>
#include <memory.h>
#include <stdio.h>
#include <stdlib.h>
#include "jukebox.h"


/* Pinouts                      */
/* D0-D7 = 2-9                  */
/* STB   = 1,   AFD  = 14       */
/* INIT  = 16                   */
/*                              */
/* ERR   = 15,  SLCT = 13       */
/* PE    = 12,  ACK  = 10       */
/* BUSY  = 11                   */
/*                              */
/* Wiring                       */
/*                              */
/* STB = Low -> button release  */

extern void switch_init(void);
extern DWORD switch_read(void);
extern void solenoid(int on);

void move_xy(int x,int y)
{
}

main()
{ DWORD down,test; int i,sol,l1,l2;
  switch_init();
  sol=l1=l2=0;
  solenoid(sol);
  do { down=switch_read();
       for (i=0,test=1 ; i<32 ; test<<=1,i++)
         printf("%c", (down&test) ? '1' : '0');

       i=0;
       if (kbhit())
       { i=getch(); if (i==0) i=256+getch();
       }

       if (i==32 || i==KEY_F1 || i==KEY_F2)
       { if (i==32)
         { sol^=1;
           solenoid(sol);
         } else
         if (i==KEY_F1)
         { l1^=1;
           lamp1(l1);
         } else
         if (i==KEY_F2)
         { l2^=1;
           lamp2(l2);
         }
         printf(" %d %d %d\b\b\b\b\b\b",sol,l1,l2);
       }


       printf("\b\b\b\b" "\b\b\b\b" "\b\b\b\b" "\b\b\b\b"
              "\b\b\b\b" "\b\b\b\b" "\b\b\b\b" "\b\b\b\b");
     } while(i!=27);
}
